Package chatapp.View

# Class View_Utilisateurs

java.lang.Object
chatapp.View.View_Utilisateurs

    public class View_Utilisateurs
    extends java.lang.Object

Classe representant l'interface graphique permettant d'afficher les utilisateurs actifs

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`javafx.scene.control.TextArea` | `ListeUtilisateurs` |
`javafx.scene.control.Button` | `MenuButton` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`View_Utilisateurs()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `retourMenu​(javafx.event.ActionEvent actionEvent)` | Handler permettant de retourner au menu principal sur pression du MenuButton

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ListeUtilisateurs

public javafx.scene.control.TextArea ListeUtilisateurs

### MenuButton

public javafx.scene.control.Button MenuButton

## Constructor Details

### View_Utilisateurs

public View_Utilisateurs()

## Method Details

### retourMenu

public void retourMenu​(javafx.event.ActionEvent actionEvent)

Handler permettant de retourner au menu principal sur pression du MenuButton

Parameters:
  `actionEvent` - L'utilisateur vient d'appuyer sur le bouton Retour au menu